cURL
curl --request GET \
--url https://api.gcore.com/billing/org/v1/erp-invoices/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/erp-invoices/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/erp-invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"move_type": "out_invoice",
"currency": "<string>",
"invoice_date": "2023-12-25",
"invoice_date_due": "2023-12-25",
"billing_period_from": "2023-12-25",
"billing_period_to": "2023-12-25",
"amount_untaxed": "<string>",
"amount_tax": "<string>",
"amount_total": "<string>",
"payment_state": "not_paid",
"client_id": -1,
"payer_id": 123,
"invoice_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}erp-invoices
Get billingorgv1erp invoices 1
Mixin for viewsets that provides a queryset based on a model class.
GET
/
billing
/
org
/
v1
/
erp-invoices
/
{id}
cURL
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Response
Request successful.
External-facing serializer that excludes internal ERP identifiers.
Invoice number, e.g. INV/2026/00001
out_invoice-out_invoiceout_refund-out_refund
Available options:
out_invoice, out_refund Currency code: USD, EUR, etc.
Amount without tax
Pattern:
^\d{1,3}\.\d{12}$Tax amount
Pattern:
^\d{1,3}\.\d{12}$Total amount with tax
Pattern:
^\d{1,3}\.\d{12}$not_paid-not_paidpaid- paidpartial- partialreversed- reversedin_payment-in_payment
Available options:
not_paid, paid, partial, reversed, in_payment ID of client in API service
Required range:
-2147483648 <= x <= 2147483647Linked billing system invoice
Was this page helpful?